summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorjbj <devnull@localhost>2003-11-23 19:50:52 +0000
committerjbj <devnull@localhost>2003-11-23 19:50:52 +0000
commit3dcfeb3f9aaf003f29d2c8c0c3a545953f529c08 (patch)
treea78f3112c1c5b7b5c8cd2ce4307056c3db758c35 /autogen.sh
parentfda9ddca9bcd46cefc145c14cfd901906600c9d2 (diff)
downloadlibrpm-tizen-3dcfeb3f9aaf003f29d2c8c0c3a545953f529c08.tar.gz
librpm-tizen-3dcfeb3f9aaf003f29d2c8c0c3a545953f529c08.tar.bz2
librpm-tizen-3dcfeb3f9aaf003f29d2c8c0c3a545953f529c08.zip
Merge changes from rpm-4.2.1 development.
CVS patchset: 6959 CVS date: 2003/11/23 19:50:52
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/autogen.sh b/autogen.sh
index fc61b5196..3348b5778 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -3,20 +3,20 @@
export CFLAGS
export LDFLAGS
-LTV="libtoolize (GNU libtool) 1.4.3"
+LTV="libtoolize (GNU libtool) 1.5"
ACV="autoconf (GNU Autoconf) 2.57"
-AMV="automake (GNU automake) 1.7.5"
+AMV="automake (GNU automake) 1.7.8"
USAGE="
This script documents the versions of the tools I'm using to build rpm:
- libtool-1.4.3
+ libtool-1.5
autoconf-2.57
- automake-1.7.5
+ automake-1.7.8
Simply edit this script to change the libtool/autoconf/automake versions
checked if you need to, as rpm should build (and has built) with all
recent versions of libtool/autoconf/automake.
"
-[ "`libtoolize --version`" != "$LTV" ] && echo "$USAGE" && exit 1
+[ "`libtoolize --version | head -1`" != "$LTV" ] && echo "$USAGE" && exit 1
[ "`autoconf --version | head -1`" != "$ACV" ] && echo "$USAGE" && exit 1
[ "`automake --version | head -1 | sed -e 's/1\.4[a-z]/1.4/'`" != "$AMV" ] && echo "$USAGE" && exit 1